MigaLabs Logo

MigaLabs

Blockchain Ecosystem Observatory

Blocks

Get block by number

Retrieves detailed information for a block specified by its block number.

GET
/eth/v1/beacon/consensus/blocks/{block_number}
X-Api-Key<token>

API key used for authentication. It provides access to all endpoints.

In: header

Path Parameters

block_numberinteger

Block number

Default20000000

Query Parameters

networkstring

Network name

Default"mainnet"
Value in"mainnet" | "hoodi" | "sepolia"

Response Body

application/json; charset=utf-8

application/json; charset=utf-8

application/json; charset=utf-8

application/json; charset=utf-8

application/json; charset=utf-8

curl -X GET "https://www.migalabs.io/api/eth/v1/beacon/consensus/blocks/20000000?network=mainnet"
{
  "data": {
    "blobs": 0,
    "el_block_hash": "string",
    "el_block_number": 0,
    "el_fee_recp": "string",
    "el_gas_limit": 0,
    "el_gas_used": 0,
    "el_transactions": 0,
    "epoch": 0,
    "finalized": true,
    "graffiti": "string",
    "payload_size_bytes": 0,
    "proposer_index": 0,
    "slot": 0,
    "timestamp": 0,
    "withdrawals": 0
  },
  "meta": {
    "network": "string",
    "total_count": 0
  }
}
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "parameter": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "parameter": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "parameter": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "parameter": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}